image: gradle:alpine

stages:          # List of stages for jobs, and their order of execution
  - build
  - test
  - deploy

building:       # This job runs in the build stage, which runs first.
  stage: build
  script:
    - gradle assemble

unit-tests:   # This job runs in the test stage.
  stage: test    # It only starts when the job in the build stage completes successfully.
  script:
    - gradle check
  coverage: '/    - Line Coverage: ([0-9.]+)%/'

deployment:      # This job runs in the deploy stage.
  stage: deploy  # It only runs when *both* jobs in the test stage complete successfully.
  environment: production
  script:
    - gradle publish
  only:
    - web
